Short summary of an article (title, description, extract, image)

Returns the summary of an article: short description, intro text, thumbnail and link.

Request

GEThttps://wikipedia-search.p.apihiver.com/v1/summary?title=Taj+Mahal
*
String. Article title, e.g. Taj Mahal.
String. Wikipedia language code, e.g. en, hi, mr, ta (default en).
Language
Client
1curl --request GET \
2  --url 'https://wikipedia-search.p.apihiver.com/v1/summary?title=Taj%20Mahal&lang=%7Blang%7D' \
3  --header 'Accept: application/json' \
4  --header 'X-API-Key: YOUR_API_KEY'

Short summary of an article (title, description, extract, image): Wikipedia Search API reference

Returns the summary of an article: short description, intro text, thumbnail and link. This endpoint is part of the Wikipedia Search API: Search Wikipedia in 300+ languages, get article summaries with images, 'on this day' events, random articles and autocomplete.

Example response (200, application/json)

Success.

1{
2  "url": "https://en.wikipedia.org/wiki/Taj_Mahal",
3  "type": "standard",
4  "title": "Taj Mahal",
5  "extract": "The Taj Mahal is an ivory-white marble mausoleum on the right bank of the river Yamuna in Agra, Uttar Pradesh, India. It was commissioned in 1631 by the fifth Mughal emperor, Shah Jahan, to house the tomb of his late wife, Mumtaz Mahal; it also houses the tomb of Shah Jahan himself. The tomb is the centrepiece of a 17-hectare (42-acre) complex, which includes a mosque and a guest house, and is set…",
6  "thumbnail": "https://thumb.wikimedia.org/wikipedia/commons/thumb/1/1d/Taj_Mahal_%28Edited%29.jpeg/330px-Taj_Mahal_%28Edited%29.jpeg?utm_source=en.wikipedia.org&utm_campaign=api&utm_content=thumbnail",
7  "attribution": "Content from Wikipedia, CC BY-SA 4.0",
8  "description": "Marble mausoleum in Agra, India",
9  "last_edited": "2026-09-26T00:34:55Z"
10}

Errors

  • 400 — A required parameter is missing or a value has the wrong format.
    1{
    2  "error": {
    3    "code": "INVALID_INPUT",
    4    "message": "title: Field required"
    5  }
    6}

Gateway errors (missing key, no subscription, rate limits) are listed in Error codes.